Uploaded image for project: 'ServiceMix'
  1. ServiceMix
  2. SM-2346

Can not resolve feature: camel-avro

    XMLWordPrintableJSON

    Details

      Description

      karaf@root> features:list |grep avro
      [uninstalled] [2.13.1         ] camel-avro                              camel-2.13.1              
      karaf@root> features:install camel-avro
      Error executing command: Can not resolve feature:
      Unsatisfied requirement(s):
      ---------------------------
         package:(&(package=org.apache.avro.file)(version>=1.7.0)(!(version>=2.0.0)))
            Apache ServiceMix :: Bundles :: avro-ipc
         package:(&(package=org.apache.avro.ipc)(version>=1.7.0)(!(version>=2.0.0)))
            camel-avro
         package:(&(package=org.apache.avro.io)(version>=1.7.0)(!(version>=2.0.0)))
            Apache ServiceMix :: Bundles :: avro-ipc
         package:(&(package=org.apache.avro.ipc.reflect)(version>=1.7.0)(!(version>=2.0.0)))
            camel-avro
         package:(&(package=org.apache.avro.generic)(version>=1.7.0)(!(version>=2.0.0)))
            Apache ServiceMix :: Bundles :: avro-ipc
         package:(&(package=org.apache.avro)(version>=1.7.0)(!(version>=2.0.0)))
            Apache ServiceMix :: Bundles :: avro-ipc
         package:(&(package=org.apache.avro.reflect)(version>=1.7.0)(!(version>=2.0.0)))
            camel-avro
         package:(&(package=org.apache.avro.util)(version>=1.7.0)(!(version>=2.0.0)))
            Apache ServiceMix :: Bundles :: avro-ipc
         package:(&(package=org.apache.avro.specific)(version>=1.7.0)(!(version>=2.0.0)))
            camel-avro
         package:(&(package=org.apache.avro)(version>=1.7.0)(!(version>=2.0.0)))
            camel-avro
         package:(&(package=org.apache.avro.specific)(version>=1.7.0)(!(version>=2.0.0)))
            Apache ServiceMix :: Bundles :: avro-ipc
         package:(&(package=org.apache.avro.io)(version>=1.7.0)(!(version>=2.0.0)))
            camel-avro
         package:(&(package=org.apache.avro.data)(version>=1.7.0)(!(version>=2.0.0)))
            Apache ServiceMix :: Bundles :: avro-ipc
         package:(&(package=org.apache.avro.generic)(version>=1.7.0)(!(version>=2.0.0)))
            camel-avro
         package:(&(package=org.apache.avro.ipc.specific)(version>=1.7.0)(!(version>=2.0.0)))
            camel-avro
         package:(&(package=org.apache.avro.reflect)(version>=1.7.0)(!(version>=2.0.0)))
            Apache ServiceMix :: Bundles :: avro-ipc
         package:(&(package=sun.misc))
            Apache ServiceMix :: Bundles :: avro
      

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                sobkowiak Krzysztof Sobkowiak
                Reporter:
                bradnussbaum Brad Nussbaum
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: